:root {
    --color-line: #099;
    --color-header: #3CC;
    --color-to-opacity: rgba(0, 0, 0, 0.6);
    --width-side: calc(100% - 100px);
    --color-font-hover: #96FEFF;
}

* {
    margin: 0;
    padding: 0;
    color: var(--color-line);
    scroll-behavior: smooth;
    box-sizing: border-box;
}

img,
a {
    user-select: none;
}

span {
    color: inherit;
    background-color: inherit;
}

a,
p,
h3 {
    display: block;
    text-decoration: none;
    color: inherit;

}


.container .main .nav .list-links .item-link:hover,
.container .main .nav .item-link:hover i,
.container .main .nav .list-links .active,
.container .main .nav .active i {
    background-color: var(--color-line);
    color: white;
}

div.container {
    padding: 30px;
}

.container .main .content {
    transition: all 3s ease;

}

/* this is temporary   */
body {
    background-color: #1E5050;
    font-size: 1.2rem;
    font-family: 'Open Sans', Arial, Helvetica, sans-serif;
    font-weight: lighter;
}


/* =============main========= */

.main {
    font-size: 1.2rem;
    font-family: 'Open Sans', Arial, Helvetica, sans-serif;
    font-weight: lighter;
}

.container .main .nav {
    float: left;
    width: 40%;
    user-select: none;
    position: fixed;
    overflow: hidden;
}

.container .main .nav .header,
.container .main .nav div.item-link {
    background-color: white;
    text-align: center;
    padding: 20px 0;
    font-style: italic;
}

.container .main .nav div.list-links {
    display: grid;
    grid-template-columns: 48% 48%;
    grid-template-rows: 100px;
    justify-content: space-between;
    /* display: flex;
    gap: 10px;
    flex-wrap: wrap;
    justify-content: space-between; */
}


.container .main .nav div.item-link {
    padding: 30px 40px;
    margin-top: 20px;
    cursor: pointer;
    text-align: left;
    min-width: 230px;
}

/*============content drinks==========*/

.container .main .content {
    float: right;
    width: 50%;
}

.container .main .content .menu-iced-coffee .info-drinks,
.container .main .content .the-menu,
.footer p {
    background-color: var(--color-to-opacity);
    color: white;

}

.container .main .content .the-menu {
    display: grid;
    grid-template-columns: auto auto auto;
    justify-content: space-around;
}

.container .main .content .the-menu {
    padding: 25px 0 15px;
    margin-bottom: 20px;
}

.container .main .content .the-menu a:hover,
.container .main .content .the-menu a.active {
    border-bottom: 4px solid var(--color-font-hover);
    padding-bottom: 10px;
    color: var(--color-font-hover);
    transition: all 0.3s ease;
}

.container .main .content .drink-menu .menu-iced-coffee {
    display: flex;
    gap: 20px;
    margin-bottom: 20px;
}

.container .main .content .drink-menu .menu-iced-coffee .img-iced {
    padding: 5px;
}

.container .main .content .drink-menu .menu-iced-coffee .info-drinks {
    padding: 15px;

}

.container .main .content .drink-menu .menu-iced-coffee .info-drinks>div {
    display: flex;
    justify-content: space-between;
    color: white;
}

.container .main .content .drink-menu .menu-iced-coffee .info-drinks>p {
    padding-top: 20px;
    padding-left: 10px;
    line-height: 1.8;

}


#drink-menu {
    animation: fadeEffect 1s;
}


/* clear both  */

.clear {
    clear: both;
}

.footer p {
    display: inline-block;
    padding: 15px;
    line-height: 1.8;
    font-size: 18px;
    padding: 10px 65px 10px 20px;
    text-align: left;
}


.container .content div.drink-menu {
    display: none;
    transition: all 0.5s ease;
}

.container .content div.active {
    display: block;
}



/* ==========about us ================= */

.content .about-us-content {
    background-color: var(--color-to-opacity);
    /* padding: 30px 0 50px; */
    margin: 0 0 20px 0;
    color: var(--color-header);
    padding-top: calc(90px - 40.11px);
    padding-bottom: 90px;
}

.about-us .about-us-content div h2 {
    text-align: center;
    color: var(--color-header);
}

.about-us .about-us-content .lastdive {
    display: flex;
    flex-direction: row;
    gap: 20px;
    color: white;
    font-size: 18px;
    margin-top: 20px;
    align-items: flex-start;
}

.about-us .about-us-content div {
    font-weight: bold;
    color: inherit;
}



.about-us .about-us-content .lastdive .paragraph p {
    line-height: 1.8;
}


.about-us-content2 {
    padding: 40px;
    padding-bottom: 50px !important;
}

/* .about-us-content2 .lastdive .paragraph h2, */
.about-us-content2 .lastdive .paragraph p,
.about-us-content2 .lastdive+div>p {
    text-align: left;
    line-height: 1.8;
    font-size: 18px;
    color: white;
    margin-right: 30px;
    font-weight: lighter;
    padding-top: 10px;
}

.about-us-content2 .lastdive .paragraph h2 {
    text-align: left;
    margin-bottom: 20px;
}

/* special item  */

.special-item .items {
    display: flex;
    flex-wrap: wrap;
}

.special-item .items .item {
    background-color: var(--color-to-opacity);
    max-width: 320px;
    margin: 0 10px 60px;
}

.special-item .items .item h3 {
    margin-bottom: 19px;
    color: var(--color-header);
    font-size: 1.4rem;
}

.special-item .items .item p {
    line-height: 1.8;
    color: white;
    font-size: 18px;
}

.special-item .item .item-info {
    padding: 25px 30px;
}


/* contact us  */


.contact-us .contact-wave {
    background-color: var(--color-to-opacity);
    padding: 50px 45px;
    margin-bottom: 20px;
}

.contact-us .contact-wave h2 {
    color: var(--color-header);
    margin-bottom: 20px;
}

.contact-us .contact-wave p {
    color: white;
    line-height: 1.8;
    margin-bottom: 18px;
}


.contact-us .form {
    max-width: 460px;
    margin-left: auto;
    padding: 0 50px;
    /* background-color: black; */
    background-color: var(--color-to-opacity);
}

.contact-us .form form {
    display: flex;
    flex-direction: column;
    gap: 10px;
    /* padding: 30px 15px; */
}

.contact-us .form form input,
.contact-us .form form textarea {
    background-color: transparent;
    border-left: 0;
    border-top: 0;
    border-right: 0;
    border-bottom: 1px solid white;
    padding: 15px;
    width: 100%;
}


/* .contact-us .form form input:hover,
.contact-us .form form textarea:hover {

} */


.contact-us .form form label {
    margin: 0 0 0 30px;
    position: relative;
    top: 40px;
    color: white;
}


.contact-us .form form textarea {
    height: 170px;
}


.contact-us .form form button {
    padding: 12px 40px;
    margin: 15px;
    margin-bottom: 30px;
    margin-right: 0;
    margin-left: auto;
    font-size: 1.4rem;
    display: block;
}


        /* footer  */

.footer {
    margin-top: 30px;
}

/* video in background  */

#myVideo {
    position: fixed;
    right: 0;
    bottom: 0;
    min-width: 100%;
    min-height: 100%;
    z-index: -1;
}


.play-video i {
    cursor: pointer;
    position: fixed;
    bottom: 30px;
    right: 30px;
    padding: 15px;
    color: white;
    font-size: 20px;
    background-color: var(--color-to-opacity);
    z-index: 1000;
}



/* Meida screen  */

@media only screen and (max-width: 1140px) {
    .container .main .nav {
        width: 35%;
    }
    .container .main .nav div.list-links {
        display: flex;
        gap: 10px;
        flex-wrap: wrap;
    }

    .container .main .nav div.list-links .item-link {
        padding: 30px;
        min-width: 230px;
    }
}

@media only screen and (max-width: 992px) {
    .container .main .nav {
        float: none;
        position: relative;
        min-width: 500px;
        min-height: 100px;
        margin-bottom: 30px;
    }
    .container .main .content{
        float: none;
        width: 80%;
    }
    .container .main .nav div.list-links {
        display: grid;
        grid-template-columns: 48% 48%;
        grid-template-rows: 100px;
        justify-content: space-between;
    }


}


@media only screen and (max-width:600px) {
    .container .main .nav div.list-links,
    .container .main .nav,.container .main .content
    {
        display: block;
        width: 98%;
        min-width: fit-content;
        position: relative;
        text-align: center;
    }
    
    .container .main .nav div.list-links .item-link{
        text-align: center;
    }
    .container .main .content{
        /* width: 100%; */
    }
}